Kapitel 2. Fire up GIMP
| Teil I. Erste Schritte |

## Kapitel 2. Fire up GIMP

## 1. Starthilfen

Usually you start GIMP either by clicking an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the newest version. You can, if you want, provide a list of image file names on the command line after the program name so that GIMP automatically opens those files after it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly „associated“ to GIMP, you can double click an image to open it in GIMP.

### 1.1. Plattformverfügbarkeit

GIMP is the most widely supported image manipulation program available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. GIMP auf Deutsch

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

Alternativ können Sie dazu verwenden:

Unter Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en with fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows

  Control Panel → System → Advanced → Environment button in „System Variables“ area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click OK three successive times to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Eine andere Möglichkeit: Start → Programme → GTK-Laufzeitumgebung Dann Sprache wählen und im Klappmenü die gewünschte Sprache auswählen.

Under Apple macOS

  From System Preferences, click the International icon. In the Language tab, the desired language should be the first in the list.

Eine weitere GIMP-Instanz

  Sie können eine neue GIMP-Instanz starten, wenn Sie die Befehlszeilenoption `-n` verwenden. Beispielsweise `gimp-2.10`, um GIMP in Ihrer Sprache zu starten, und `LANGUAGE=en gimp-2.10 -n`, um eine weitere Instanz in Englisch zu haben. Das ist insbesondere für Übersetzer nützlich.

### 1.3. Befehlszeilenparameter

Befehlszeilenparameter können sehr nützlich sein, sind aber optional. Die Liste der Parameter ist abhängig vom verwendeten Betriebssystem und der verwendeten GIMP-Version. Nachfolgend werden die am häufigsten verwendeten Optionen erläutert. Unter Unix-ähnlichen Betriebssystemen können Sie eine komplette Liste in der Manpage (`man gimp`) erfragen.

Um die Befehlszeilenparameter zu nutzen, müssen Sie diese beim Start von GIMP über die Befehlszeile in der folgenden Form angeben: gimp-2.10 [OPTION...] [DATEI|URI...].

-?, --help

  Eine Liste aller verfügbaren Parameter zeigen.

--help-all

  Alle Hilfeoptionen anzeigen.

--help-gtk

  GTK+-Optionen anzeigen.

-v, --version

  Versionsinformationen anzeigen und Programm beenden.

--license

  Lizenzinformationen anzeigen und Programm beenden.

--verbose

  Detaillierte Meldungen auf der Konsole zeigen.

-n, --new-instance

  Eine neue GIMP-Instanz starten.

-a, --as-new

  Bilder als neu öffnen.

-i, --no-interface

  Ohne Benutzeroberfläche starten.

-d, --no-data

  Keine Muster, Gradienten, Farbpaletten oder Pinsel öffnen. Dies ist in nicht-interaktiven Umgebungen sinnvoll, um die Startzeit zu minimieren.

-f, --no-fonts

  Keine Schriften laden. Das ist nützlich, um GIMP für Skripte, die keine Schriften benötigen, schneller zu laden, oder um Probleme zu lokalisieren, die mit korrupten Schriften zusammenhängen und GIMP einfrieren lassen.

-s, --no-splash

  Keinen Startbildschirm zeigen.

--no-shm

  Keinen gemeinsam genutzten Speicher zwischen GIMP und den Modulen verwenden.

--no-cpu-accel

  Keine speziellen Prozessorbeschleunigungen verwenden.

--session=`name`

  Ein anderes Sitzungsprofil verwenden. Der angegebene Sitzungsname wird an den Standarddateinamen (`sessionrc`) angehängt.

--gimprc=`filename`

  Ein alternatives `gimprc`-Profil verwenden. (Die Datei `gimprc` enthält Ihre Präferenzen.) Nützlich in Fällen, wo sich Pluginpfade oder Maschinenspezifikationen unterscheiden.

--system-gimprc=`filename`

  Ein alternatives Systemprofil verwenden.

-b, --batch=`commands`

  Befehle im Stapelmodus ausführen. Die Befehle werden normalerweise in Form eines Skriptes angegeben. Sollte `-` angegeben sein, werden die Befehle von der Standardeingabe gelesen.

--batch-interpreter=`proc`

  Die Prozedur zum Abarbeiten von Befehlsabfolgen angeben. Die Voreinstellung ist Skript-Fu.

--console-messages

  Do not display dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`mode`

  PDB-Kompatibilitätsmodus (off|on|warn).

--stack-trace-mode=`mode`

  Fehlersuche beim Absturz (never|query|always).

--debug-handlers

  Aktiviert Fehlersuchroutinen für nicht-schwerwiegende Signale.

--g-fatal-warnings

  Make all warnings fatal. Useful for debugging.

--dump-gimprc

  Eine gimprc-Datei mit den Standardeinstellungen ausgeben.

--display=`display`

  Den angegebene X-Bildschirm verwenden (nicht auf allen Systeme verfügbar).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. GIMP das erste Mal starten

Report a bug in GIMP Report a documentation error